{
  "version": "0.2.0",
  "configurations": [

    {
      "type": "gdbtarget",
      "request": "attach",
      "name": "Eclipse CDT GDB Adapter"
    },
    {
      "type": "espidf",
      "name": "Launch",
      "request": "launch"
    },
    {
      "name": "Debug LVGL demo with gdb",
      "type": "cppdbg",
      "request": "launch",
        "program": "${workspaceFolder}/build/rgb_lcd",
      "args": [],
      "cwd": "${workspaceFolder}",
      "stopAtEntry": false,
      "linux": {
        "MIMode": "gdb",
        "miDebuggerPath": "/usr/bin/gdb"
        },
        "osx": {
        "MIMode": "lldb"
        },
        "windows": {
        "MIMode": "gdb",
        "miDebuggerPath": "C:\\MinGw\\bin\\gdb.exe"
        }
    },
    {
      "name": "Debug ihm with gdb",
      "type": "cppdbg",
      "request": "launch",
      "preLaunchTask": "Build - Build IHM",
      "program": "${workspaceFolder}/components/domotic_display/test_host/build/nvs_host_test.elf",
      "args": [],
      "cwd": "${workspaceFolder}",
      "stopAtEntry": false,
      /*
      "setupCommands": [
        {
          "description": "Load LVGL GDB helpers",
          "text": "source /home/marc/domotic/components/domotic_display/test_host/managed_components/lvgl__lvgl/scripts/gdb/gdbinit.py"
        }
      ],*/
      "linux": {
        "MIMode": "gdb",
        "miDebuggerPath": "/usr/bin/gdb"
        },
        "osx": {
        "MIMode": "lldb"
        },
        "windows": {
        "MIMode": "gdb",
        "miDebuggerPath": "C:\\MinGw\\bin\\gdb.exe"
        }
    },
    {
      "name": "Debug meteofrance with gdb",
      "type": "cppdbg",
      "request": "launch",
      "program": "${workspaceFolder}/components/meteofrance/testHost/build/my_custom_app.elf",
      "args": [],
      "cwd": "${workspaceFolder}",
      "stopAtEntry": false,
      /*
      "setupCommands": [
        {
          "description": "Load LVGL GDB helpers",
          "text": "source /home/marc/domotic/components/domotic_display/test_host/managed_components/lvgl__lvgl/scripts/gdb/gdbinit.py"
        }
      ],*/
      "linux": {
        "MIMode": "gdb",
        "miDebuggerPath": "/usr/bin/gdb"
        },
        "osx": {
        "MIMode": "lldb"
        },
        "windows": {
        "MIMode": "gdb",
        "miDebuggerPath": "C:\\MinGw\\bin\\gdb.exe"
        }
    },
    {
      "name": "Debug main with gdb",
      "type": "cppdbg",
      "request": "launch",
      "program": "${workspaceFolder}/build/rgb_lcd.elf",
      "args": [],
      "cwd": "${workspaceFolder}",
      "stopAtEntry": false,
      /*
      "setupCommands": [
        {
          "description": "Load LVGL GDB helpers",
          "text": "source /home/marc/domotic/components/domotic_display/test_host/managed_components/lvgl__lvgl/scripts/gdb/gdbinit.py"
        }
      ],*/
      "linux": {
        "MIMode": "gdb",
        "miDebuggerPath": "/usr/bin/gdb"
        },
        "osx": {
        "MIMode": "lldb"
        },
        "windows": {
        "MIMode": "gdb",
        "miDebuggerPath": "C:\\MinGw\\bin\\gdb.exe"
        }
    },
    {
      "name": "Debug remindme with gdb",
      "type": "cppdbg",
      "request": "launch",
      "preLaunchTask": "Build - Build IHM",
      "program": "${workspaceFolder}/components/RemindMe/test/build/remindme_host_test.elf",
      "args": [],
      "cwd": "${workspaceFolder}",
      "stopAtEntry": false,
      "setupCommands": [
        {
          "description": "Load LVGL GDB helpers",
          "text": "source /home/marc/domotic/components/domotic_display/test_host/managed_components/lvgl__lvgl/scripts/gdb/gdbinit.py"
        }
      ],
      "linux": {
        "MIMode": "gdb",
        "miDebuggerPath": "/usr/bin/gdb"
      },
      "osx": {
        "MIMode": "lldb"
      },
      "windows": {
        "MIMode": "gdb",
        "miDebuggerPath": "C:\\MinGw\\bin\\gdb.exe"
      }
    },
    {
      "name": "Debug comp2 (Linux)",
      "type": "cppdbg",
      "request": "launch",
      "program": "${workspaceFolder}/components/domotic_display/test_host/build/comp2_test",
      "args": [],
      "stopAtEntry": false,
      "cwd": "${workspaceFolder}",
      "environment": [],
      "externalConsole": false,
      "MIMode": "gdb",
      "miDebuggerPath": "/usr/bin/gdb",
      "setupCommands": [
        {
          "description": "Enable pretty printing",
          "text": "-enable-pretty-printing"
        }
      ]
    }
  ]
}